.dropdown-temporal {
    display: block !important; /* Hace visible el dropdown */
    opacity: 1;                /* Totalmente visible */
    visibility: visible;       /* Asegura que sea accesible */
}


.boldclass{
	font-weight: bold;
}

 
.custom-nav-height {
    height: 40px; 
    display: flex;
    align-items: center; 
    padding: 10px 10px; 
}

.custom-nav-height .navbar-nav .nav-link {
    padding: 10px 10px; 
    font-size: 14px; 
    text-align: center;
}
/*
.navbar-nav.ml-auto {
    margin-left: auto;
}


.main-sidebar {
    width: auto !important;  
    transition: left 0.3s ease-in-out, width 0.3s ease-in-out;  
}

 
@media (max-width: 991.98px) {
    .main-sidebar {
        width: 80vw !important;
        left: 0 !important;  
    }

    .sidebar-collapse .main-sidebar {
        left: -100% !important;  
    }

    .sidebar-open .main-sidebar {
        left: 0 !important; 
    }
}

 
@media (min-width: 992px) {
    .main-sidebar {
        width: 40vw !important;
    }
}

 
.sidebar-collapse .main-sidebar {
    left: -100% !important;
}

 
.sidebar-open .main-sidebar {
    left: 0 !important;
}



.nav-sidebar .nav-item {
    transition: background-color 0.3s ease;
}

.nav-sidebar .nav-item:hover {
    background-color: #28a745; 
}

.nav-sidebar .nav-item:hover .nav-link {
    color: white;  
}

@media (min-width: 992px) {
    #navbarCollapse {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
}


*/



.swal2-container {
  z-index: 20000 !important; /* Asegúrate de que esté encima de .overlaymenus */
}


 @keyframes jumpAndRotate {
  0% {
    transform: translateY(0) rotate(0deg);
  }
  30% {
    transform: translateY(-20px) rotate(15deg);
  }
  50% {
    transform: translateY(0) rotate(0deg);
  }
  70% {
    transform: translateY(-10px) rotate(-15deg);
  }
  100% {
    transform: translateY(0) rotate(0deg);
  }
}

.animated-logo {
  display: inline-block;
  animation: jumpAndRotate 2s infinite ease-in-out;
  transition: transform 0.3s;
}


.sipiridir {
 height: 0;
  margin: 0 0;
  overflow: hidden;
  border-top: 1px solid #e9ecef;
}

 
.nav-item.dropdown:hover > .dropdown-menu {
 
}

.nav-item.dropdown .dropdown-toggle-icon i {
  transition: transform 0.2s ease;
}

.nav-item.dropdown.show .dropdown-toggle-icon i {
  transform: rotate(180deg);  
}

.navbar-nav > .nav-item:hover {
    background-color: #CDE3FE;  
    transition: background-color 0.3s ease;  
}


 
.navbar-nav > .nav-item:hover > .nav-link {
    color: #000000;  
    transition: color 0.3s ease;
}

.navbar-nav > .nav-item:hover .dropdown-toggle-icon i {
    color: #000000;  
    transition: color 0.3s ease;
}

 

.dropdown-item {
    display: flex; /* Usar flexbox para alinear elementos */
    align-items: center; /* Asegurar que estén centrados verticalmente */
    justify-content: space-between; /* Espaciar texto e ícono */
    width: 100%; /* Asegurar que ocupen el ancho completo */
}

.dropdown-item i {
    margin-left: auto; /* Mover el ícono hacia la derecha */
}